:root {
  --menubar-width: 44px;
  --toolarea-width: 350px;
  --bottom-area-height: 150px;
  --highlight-color: rgb(57, 179, 57);
  --canvas_left_border: calc(var(--menubar-width) + var(--toolarea-width));
}

html, body {
   margin: 0;
   height: 100%;
   box-sizing: border-box; 
}

#epdonline{
  width: 100%;
  height: 100%;
  display: block;
}

#epdonline-canvas {
   width: 100%;
   height: 100%;
   display: block;
}

.main-canvas {
  box-sizing: border-box;
  position:absolute;
  left: var(--canvas_left_border);
  right: var(--menubar-width);
  /*height: calc(100% - 200px);*/
  top: 0px;
  bottom: var(--bottom-area-height);
  /*float: left;*/
  text-align: center;

  border-width: 2px;
  border-style: solid;
  border-color:darkgrey;  
  cursor: none;
}

.sidemenu {
  position:absolute;
  right: 1px;
  top: 0;
  bottom: var(--bottom-area-height);
  padding-top: 2px;
  /*float: right;*/
  width: var(--menubar-width);
  text-align: center;
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: center;
}

.sidenavbar {
  position:absolute;
  left: 0;
  top: 0;
  bottom: 0;
  padding-top: 2px;
  /*float: right;*/
  width: var(--menubar-width);
  text-align: center;
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: center;
  z-index: 30;
  border-style: solid;
  border-width: 0px 1px 0px 0px;
  border-color:darkgrey; 
  background-color: antiquewhite; 
}

.sidenavbar .navBtn {
  border-style: solid;
  padding: 10px 4px;
  background-clip: padding-box;
  border-radius: 10px 0px 0px 10px;
  border-width: 1px 0px 1px 1px;
  border-color: antiquewhite;
}

.sidenavbar svg.selected {
  filter: none;
  background-color: white;
  border-color: black;
}

#toolarea {
  box-sizing: border-box; 
  position:absolute;
  left: calc(var(--menubar-width) + 2px);
  top: 0;
  bottom: 0;
  padding-top: 0px;
  padding-left: 4px;
  width: var(--toolarea-width);
  border-style: solid;
  border-width: 0px 2px 0px 0px;
  border-color:darkgrey;
  overflow: auto;
}

#modalOverlay {
  position:absolute;
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;
  background-color: rgba(8, 74, 139, 0.301);
  z-index: 40;
}

#tooltitle {
  background-color: darkblue;
  color: white;
  text-align: center;
  font-size: 2em;
}

.toolDiv {
  box-sizing: border-box; 
  width: auto;
  height: auto;
}

.selectable {
  border-style: solid;
  border-width: 2px;
  padding: 2px;
  border-color:rgba(255,255,255,0);
}

.selectable:hover{
  background-color: cornflowerblue;
}

.selectable:active {
  background-color: lightblue;
}

.selectable.selected{
  border-color:blue;
}

.topmenu {
  position:absolute;
  right: calc(var(--menubar-width) + 1em);
  top: 0.5em;
  height: var(--menubar-width);
  padding-left: 1em;
  padding-right: 1em;
  /*float: right;*/
  background-color: antiquewhite;
  border-radius: 2em;
  border-style: solid;
  border-width: 5px;
  border-color: coral;
  text-align: center;
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  align-items: center;
  z-index: 100;
}


.menu img {
  border-width: 1px;
  border-style: solid;
  border-color: rgb(48,48,48);
}

.menu img:hover {
  border-color: blue;
}

.cursor {
  border: none;
  padding: none;
  margin: none;
  position: absolute;
  z-index: 100;
  color: rgb(48,48,48);
  -webkit-text-stroke: 2px rgb(48,48,48);
  -webkit-text-fill-color: lightblue;
  text-shadow: 2px 2px black;
  pointer-events: none;
}

.dialog {
  border-style: solid;
  border-width: 2px;
  border-color: rgb(48,48,48);
  padding: 0;
  position: absolute;
  z-index: 50;
  background-color: antiquewhite;
  left: calc(var(--menubar-width) + var(--toolarea-width) + 20px);
  bottom: calc(var(--bottom-area-height) + 20px);
  text-align: left;
}

.dialog-caption {
  padding: 2px;
  background-color: darkblue;
  color: white;
  text-align: left;
  font-size: 1.5em;
}

svg {
  fill: rgb(203, 226, 255);
  stroke:rgb(48,48,48);
  stroke-width:1px;
}

.injectable {
  visibility: hidden;
}

svg.disabled  {
  fill: rgb(179, 193, 211);
  stroke:rgb(163, 163, 163);
  stroke-width:2px;
}

.menu svg {
  padding: 5px;
}

.menu svg:not(.disabled):hover,
.dialog svg:not(.disabled):hover {
  stroke:blue;
}

.menu svg:not(.disabled):active,
.dialog svg:not(.disabled):active {
  filter: drop-shadow(0px 0px 0px rgba(0, 0, 0, .7));
}

.cursor svg {
  fill: lightblue;
  filter: drop-shadow(2px 3px 2px rgba(0, 0, 0, .7));
  stroke:rgb(48,48,48);
  stroke-width:2px;
  /*animation-name: cursorFill;
  animation-duration: 5s;
  animation-iteration-count: 1;*/
}

.cursor .error {
  fill: rgb(255, 0, 0);
}

@keyframes cursorFill {
  0% {fill: lightblue;}
  50% {fill: lightgoldenrodyellow;}
  100% {fill: lightblue;}
}


.bottom-container  {
  position:absolute;
  box-sizing: border-box;
  bottom: 5px;
  height: calc(var(--bottom-area-height) - 5px);
  left: var(--canvas_left_border);
  right: 0px;
  border-width: 2px;
  border-style: solid;
  border-color:darkgrey;  
}

.tab-div {
  margin: 0px;
  padding: 0px;
  border: 0px;
  box-sizing: border-box;
  overflow-y: hidden;
  /*position: absolute; 
  height: calc(100% - 30px);
  top: 30px; 
  bottom: 0px; 
  left:0px; 
  right:0px;*/
}

.tab-div img{
  position: relative;
  border: 1px 1px 1px 1px;
  border-radius: 1px;
  transition: background-color 0.1s;
}

.tab-div img:hover{
  background-color: #007fff;
}

.tab-div img:active{
  top: 1px;
  left: 1px;
  background-color: #003cff;
}

.listboxSelectable {
  list-style-type: none;
  margin: 0;
  padding: 0;
}

.ui-selecting {
  background: #007fff;
}

.ui-selected { 
  background: #007fff; 
  color: white; 
}

.colorGroupsSelect {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  width: 200px;
  height: calc(100% - 27px);
  border: 1px;
  border-style: solid;
  outline: none;
  float: left;
  overflow-x: hidden;
  overflow-y: hidden;
}

.colorGroupsSelect option:hover {
  background: #79bcff;
}

.colorGroupsSelect option:checked {
  background: #007fff;
  background-color: #007fff;
}


.popup-menu {
  position:absolute;
  left: 50px;
  top: 100px;
  text-align: left;
}

.ui-tabs {
  padding: 0px;
  background: none;
  border-width: 0px;
  overflow-y: hidden;
  /*height: calc(100% - 10px);*/
}

.ui-tabs .ui-tabs-panel {
  padding: 0px;
  border-width: 0px 1px 1px 1px;
}

.ui-tabs .ui-tabs-nav {
  padding: 0px;
  background: transparent;
  border-width: 0px 0px 1px 0px; 
  -moz-border-radius: 0px; 
  -webkit-border-radius: 0px; 
  border-radius: 0px; 
}

.ui-tabs .ui-tabs-nav li {
  height: 23px; 
  font-size:16px;
}

.ui-tabs .ui-tabs-nav .ui-tabs-anchor {
  padding: .1em .2em;
}

.ui-menu {
  display: inline-block;
  white-space:nowrap;
}



